Skip to main content
Export Job Architecture Suggestions
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/export/suggestions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "starting_after": "550e8400-e29b-41d4-a716-446655440000",
  "response_format": "list",
  "filters": [
    {
      "filter": "state_is_in_list",
      "states": [
        "suggested"
      ]
    },
    {
      "filter": "job_family_id_is_in_list",
      "job_family_ids": [
        "5cbdbdbe-5f44-4423-8157-520f8a2f429a"
      ]
    }
  ]
}
'
{
  "has_next": true,
  "records": [
    {
      "suggestion_id": "550e8400-e29b-41d4-a716-446655440000",
      "job_id": "job-001",
      "skill_id": "8313fe8a-f39e-4a35-8c82-93b46c3de9bb",
      "skill": "Python",
      "domain_name": "Programming",
      "suggestion_type": "add_job_skill",
      "state": "suggested",
      "data": {}
    },
    {
      "suggestion_id": "660e8400-e29b-41d4-a716-446655440001",
      "job_id": "job-001",
      "skill_id": "bdb5ee3f-8ba0-4c40-92b2-0277431ae069",
      "skill": "Machine Learning",
      "domain_name": "Data Science",
      "suggestion_type": "set_job_skill_proficiency",
      "state": "suggested",
      "data": {
        "proficiency_level": 3
      }
    }
  ],
  "next_starting_after": "660e8400-e29b-41d4-a716-446655440001"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

category
enum<string>
default:skills

The type of suggestions to export or interact with. If not specified, the default category (skills) will be used.

Available options:
skills,
tasks
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Body

application/json
limit
integer
default:10

The number of items to show on a single page.

  • For list format: number of suggestions per page
  • For grouped format: number of jobs per page
Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID to continue paginating from.

  • For list format: the suggestion_id from the previous page
  • For grouped format: the job_id from the previous page
Maximum string length: 100
Example:

"550e8400-e29b-41d4-a716-446655440000"

response_format
enum<string>
default:list

The format of the response:

  • list: Returns a flat list of suggestions
  • grouped: Returns suggestions grouped by job
Available options:
list,
grouped
Example:

"list"

filters
(state_is_in_list · object | job_family_id_is_in_list · object | external_id_is_in_list · object)[]

A set of filters to apply on the exported suggestions.

Example:
[
{
"filter": "state_is_in_list",
"states": ["suggested"]
},
{
"filter": "job_family_id_is_in_list",
"job_family_ids": ["5cbdbdbe-5f44-4423-8157-520f8a2f429a"]
}
]

Response

OK

has_next
boolean
required

True when there is more data after this page.

Example:

true

records
(Skills · object | Skills (grouped) · object | Tasks · object | Tasks (grouped) · object)[]
required

The suggestions data. Format depends on response_format and category:

  • list: Array of suggestion objects
  • grouped: Array of objects with job_id and suggestions array

When category=skills, records contain skill suggestion objects. When category=tasks, records contain task suggestion objects.

A job architecture suggestion for adding, removing, or modifying a skill on a job.

next_starting_after
string

The next starting_after value for pagination.

Maximum string length: 100
Example:

"660e8400-e29b-41d4-a716-446655440001"